Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.vcs
Class VcsProviderHelper

public class VcsProviderHelper

Helper class to facilitate registering of newly created instances of VcsProvider. Basically a Hashtable storing VcsProvider instances basing on its reference and ID. This class is singleton. No one is allowed to create instances of it.

Author:
  TogetherSoft
Stereotype singleton

Method Summary
`static VcsProviderHelper` | `getInstance()` Returns instance of VcsProviderHelper.
`boolean` | `isProviderRegistered(VcsProvider provider)` Returns true if particular instance of VcsProvider is registered.
`void` | `registerProvider(VcsProvider provider)` Register an instance of VcsProvider.
`void` | `unRegisterAllProviders(String ID)` Unregister all instances of VcsProvider with specified ID.
`void` | `unRegisterProvider(VcsProvider provider)` Unregister an instance of VcsProvider.

Method Detail

### getInstance

    public static VcsProviderHelper getInstance()

  Returns instance of VcsProviderHelper.

### isProviderRegistered

    public boolean isProviderRegistered(VcsProvider provider)

  Returns true if particular instance of VcsProvider is registered.

### registerProvider

    public void registerProvider(VcsProvider provider)

  Register an instance of VcsProvider. Further calls to `isProviderRegistered` will return true for this instance.
  Parameters:
    provider - VcsProvider instance to be registered

### unRegisterAllProviders

    public void unRegisterAllProviders(String ID)

  Unregister all instances of VcsProvider with specified ID. Also calls `VcsProvider.free ()` of each unregistered provider.
  Parameters:
    ID - the ID of VcsProvider to be unregistered

### unRegisterProvider

    public void unRegisterProvider(VcsProvider provider)

  Unregister an instance of VcsProvider. Furhter calls to sProviderRegistered will return false for this instance.
  Parameters:
    provider - instance of VcsProvider to be unregistered

Association Links

to Class com.togethersoft.openapi.vcs.VcsProviderHelper

to Class java.util.Hashtable

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD